# Type Alias WithHistoryApi

type WithHistoryApi = {
getHistoryApi?: () => Promise<HistoryApi>;
}

#### Hierarchy

- WithHistoryApi
  - ServerAPI

- Defined in history.ts:100

##### Index

### Properties

getHistoryApi?

## Properties

### `Optional` getHistoryApi

getHistoryApi?: () => Promise<HistoryApi>

Returns a promise for the active History API implementation, or rejects if unavailable. The property is optional to support explicitly older servers that do not have a history api provider.

#### Type declaration

- - (): Promise<HistoryApi>

  - #### Returns Promise<HistoryApi>

    Promise that resolves to a HistoryApi instance if available, or rejects with an error if not.

- Defined in history.ts:107